% La fonction "calcul_gains" calcule le tableau "tableau" des gains, tel
% que "tableau(s + 1)" soit la gain associé au score s.
function tableau = calcul_gains
Ntir = 16;
% "score_maximal" est le plus gros score possible.
score_maximal = Ntir * (Ntir + 1) / 2;
% "seuil" est le seuil à partir duquel on gagne un gain.
seuil = 50;
tableau = zeros (1, score_maximal + 1);
% "s" est le score qu'on considère.
s = seuil;
% "g" est le gain associé au score.
g = 5;
while (true)
    tableau(s + 1) = g;
    s = s + 1;
    if s > score_maximal
        break
    end
    g = floor ((11 * g + 5) / 10);
end
return
end