% La fonction "score" établit le score d'un carton "carton" en fonction du
% tirage "tirage". Rappelons que "carton(p)" désigne le numéro que le
% joueur a coché pour p points, et que tirage(n) est vrai si et seulement
% si le numéro n a été tiré.
function s = score (carton, tirage)
% "Ncoch" note le nombre de numéros à cocher.
Ncoch = 16;
% "s" sera le score obtenu.
s = 0;
% On regarde un par un si chacun des numéros cochés a été tiré, et on
% ajuste le score en conséquence.
for p = 1 : Ncoch
    if tirage(carton(p))
        s = s + p;
    end
end
% On renvoie le résultat.
return
end
