% La fonction "integrande_SOS" calcule la valeur "f" de la fonction à
% intégrer au point "x".
function f = integrande_SOS (x)
if (x == 0)
    % La fonction est prolongée analytiquement par 1 en x=0.
    f = 1;
else
    f = (x * x + 1) / (x * x + x + 1) * (sin (x) / x) ^ 2;
end
return
end
