% La fonction "basket_rejet" estime la probabilité de victoire de l'équipe
% de Nancy par la méthode de rejet.
function basket_rejet ()
% "Nsim" est le nombre de simulations à effectuer.
Nsim = 60000;
% "NANCY" est le numéro associé à l'équipe de Nancy.
NANCY = 3;
% "bilan" est le nombre de simulations où l'équipe de Nancy a été
% championne.
bilan = 0;
% On lance les simulations
for i = 0 : Nsim - 1
    % On lance la fonction "championne" qui simule la vainqueure du
    % championnat. S'il s'agit de Nancy, on ajoute 1 à "bilan" ; sinon on
    % lui ajoute 0.
    bilan = bilan + (championne () == NANCY);
end
% "proportion" est la proportion de victoires de Nancy sur cet ensemble de
% simulations.
proportion = bilan / Nsim;
% On affiche le résultat.
fprintf ('La probabilité estimée de victoire pour l''équipe de Nancy ');
fprintf ('est de %f %%.\n', 100 * proportion);
return
end
