% La fonction "tirage_reduit" regarde quels numéros ont été tirés parmi
% ceux qu'on a cochés. "t(i)" vaut ainsi true ou false selon que le numéro
% coché pour i est sorti ou non.
function t = tirage_reduit ()
% Paramètres du jeu.
Ncoch = 16;
Ntir = 16;
Nnum = 64;
% "Nrestant" est le nombre de numéros qui restent à tirer.
Nrestant = Ntir;
% Allocation de la mémoire pour "t".
t = zeros (1, Ncoch);
for i = 1:Ncoch
    if rand < Nrestant / (Nnum - (i - 1))
        t(i) = true;
        Nrestant = Nrestant - 1;
    else
        t(i) = false;
    end
end
return
end

