% La fonction "diffprobaCX" évalue la différence des probabilités de succès
% selon qu'on suit la stratégie de Charlotte ou celle de Xénia.
function diffprobaCX ()
Nsim = 120;
total_f = 0;
total_f2 = 0;
for i = 1: Nsim
    % Toute la technique de couplage sera contenu dans la fonction de
    % simulation couplée "diffstrategieCX"
    f = diffstrategieCX ();
    total_f = total_f + f;
    total_f2 = total_f2 + f * f;
end
moy = total_f / Nsim;
var_f = total_f2 / Nsim - moy * moy;
ect_estr = sqrt (var_f / Nsim);
fprintf ('Différence des probabilités de succès : ');
fprintf ('%f ± %f.\n', moy, 1.96 * ect_estr);
return
end